#include <gtk/gtk.h>
#include "transbuttons.h"
#include "mystyle.h"

int transbuttons::create(GtkWidget *parent){
  //TWRECV
  button_twrecv = gtk_button_new_with_label("<-");
  gtk_widget_set_usize(button_twrecv, 32, 32);
  gtk_widget_set_mystyle(button_twrecv);
  gtk_widget_show(button_twrecv);

  //TWSEND
  button_twsend = gtk_button_new_with_label("->");
  gtk_widget_set_usize(button_twsend, 32, 32);
  gtk_widget_set_mystyle(button_twsend);
  gtk_widget_show(button_twsend);

  //VBOX
  widget = gtk_vbox_new(TRUE, 0);
  gtk_box_pack_start(GTK_BOX(widget), button_twrecv, TRUE, FALSE, 0);
  gtk_box_pack_start(GTK_BOX(widget), button_twsend, TRUE, FALSE, 0);
  gtk_widget_set_mystyle(widget);
  gtk_widget_show(widget);
  return 0;
}


