//=============================================================================
// Nihongo Code Convert Library
// Copyright(c)1999 Yamamoto Takanori.
//=============================================================================
#ifndef _H_JCODE_
#define _H_JCODE_

int issjis1(unsigned char c);
int issjis2(unsigned char c);
int isjis1(unsigned char c);
int isjis2(unsigned char c);
int iseuc1(unsigned char c);
int iseuc2(unsigned char c);

int issjis_jiskana(unsigned char c);
int iseuc_jiskana1(unsigned char c);
int iseuc_jiskana2(unsigned char c);

unsigned short sjis_jiskana2jiskanji(unsigned char c);
unsigned short euc_jiskana2jiskanji(unsigned short c);
unsigned char 
  *streuc_jiskana2jiskanji(const unsigned char *str, unsigned char *buff);
unsigned char 
  *strsjis_jiskana2jiskanji(const unsigned char *str, unsigned char *buff);

unsigned short byte2word(unsigned char u, unsigned char l);
unsigned short sjis2euc(unsigned short w);
unsigned short euc2sjis(unsigned short w);
unsigned short sjis2jis(unsigned short w);
unsigned short jis2sjis(unsigned short w);
unsigned short jis2euc(unsigned short w);
unsigned short euc2jis(unsigned short w);
unsigned char *strsjis2euc(const unsigned char *str, unsigned char *buff);
unsigned char *streuc2sjis(const unsigned char *str, unsigned char *buff);
unsigned char *strsjis2jis(const unsigned char *str, unsigned char *buff);
unsigned char *strjis2sjis(const unsigned char *str, unsigned char *buff);
unsigned char *streuc2jis(const unsigned char *str, unsigned char *buff);
unsigned char *strjis2euc(const unsigned char *str, unsigned char *buff);

#endif /* _H_JCODE_ */
