//=============================================================================
// Ring Buffer Class Library
// Copyright(c)1999 Yamamoto Takanori.
//=============================================================================
#ifndef _H_EZRING_
#define _H_EZRING_

class ezring{
  char *ring_buff;
  int ring_ptr_head, ring_ptr_tail;
  int ring_bufsize;
 public:
  ezring(int size=8192);
  ~ezring();
  int flush(void);
  int append(const char *str, int len);
  int extract(char *str);//obsoleted. use more safety functinon nextract().
  int nextract(char *str, int n);
  int peep(char *str);//obsoleted. use more safety functinon npeep().
  int npeep(char *str, int len);
  int length(void);
  int strncmp(const char *str, int len);
  int getbufsize(void);
  int setbufsize(int size);
};

#endif /* _H_EZRING_ */
